#ifndef AUDIO_H
#define AUDIO_H

#include <stdio.h>
#include "wavelets.h"


#include "portaudio.h"

#define SAMPLE_RATE  (8000) //(44100)
#define NUM_CHANNELS    (1)
/* #define DITHER_FLAG     (paDitherOff)  /**/
#define DITHER_FLAG     (0) /**/
#define BUFFERSIZE    (512)
/* Select sample format. */

#define PA_SAMPLE_TYPE  paUInt8
typedef unsigned char SAMPLE;
#define SAMPLE_SILENCE  (128)

class Main;
class Audio {
public:
 Audio(Main *);
 ~Audio();

 void   start();
 void   end();
 void   setActive(int a) { active = a; }

public:
  static int              finalize,active;
  static PortAudioStream *stream;

private:
  Main                   *base;
};


#endif