#ifndef WAVELETS_H
#define WAVELETS_H

#define MAX_OCTV   10

#define FATAL(s) { fprintf(stderr,s); exit(1); }

class Wavelets
{
public:
  Wavelets(int n_);
  ~Wavelets();

  void    signal(double a,int t);
  double  get(int,int,int, int);
  void    setSync(int o_)  { sync_on=o_; }
  int     getSync() { return sync_on; }
  void    updateMax(bool s) { lockedscale=s; }
 private:
  void    shft_sd( double a[] , double s0,  double *s,double *d, int stage, int count, int *h);

 private:
  int        n, sync_on;
  double     x[MAX_OCTV][4];
  double     *ss,*ds;

  /*double     max_data[2][MAX_OCTV];
  double     max_index[2][MAX_OCTV];
  double     max_data_smooth[2][MAX_OCTV];*/
  double     global_max[2],local_max[2];
  bool       lockedscale;
};


#endif