#include <qmainwindow.h>
#include <qstatusbar.h>
#include <qmessagebox.h>
#include <qmenubar.h>
#include <qapplication.h>
#include <qkeycode.h>
#include <qimage.h>

#include "canvas.h"

#include <stdlib.h>

int main(int argc, char** argv)
{
    QApplication app(argc,argv);

    
    QCanvas canvas(600,250);
    canvas.setAdvancePeriod(30);
    Main m(canvas);
    m.setPalette( QPalette( QColor(80, 80, 80) ) );
    m.resize(m.sizeHint());

    qApp->setMainWidget(&m);

    m.setCaption("wlog - Audio Wavelet Logger (daub4)");
    m.show();
 
    qApp->setMainWidget(0);

    QObject::connect( qApp, SIGNAL(lastWindowClosed()), qApp, SLOT(quit()) );

    return app.exec();
}

